/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.AkunResiprokal;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface AkunResiprokalEjbHome {

    public List<AkunResiprokal> findAll();

    public AkunResiprokal findByID(int id);

    public AkunResiprokal createNew();

    public AkunResiprokal save(AkunResiprokal obj);

    public AkunResiprokal findByKode(String kode);

    public AkunResiprokal update(AkunResiprokal obj);

    public void delete(int id);

    public List<AkunResiprokal> findByIdHeader(int id);

    public AkunResiprokal findByKodeAkunHeader(int lvl1, int lvl2, int lvl3, String lvl4, 
            String lvl5, int idbas, int idheaderres);
    
    public AkunResiprokal findByKodeAkunHeaderLengkap(int lvl1, int lvl2, int lvl3, String lvl4, 
            String lvl5, int idbas, int idheaderres,String dk,int kategoripemdaid,String flag );
    
}
